| Home | Libraries | People | FAQ | More

## Struct template skeleton_proxy

boost::mpi::skeleton_proxy — A proxy that requests that the skeleton of an object be transmitted.

## Synopsis

    // In header: <boost/mpi/skeleton_and_content.hpp>

    template<typename T>
    struct skeleton_proxy {
      // construct/copy/destruct
      skeleton_proxy(T &);

      // public data members
      T & object;
    };

## Description

The `skeleton_proxy` is a lightweight proxy object used to indicate that the skeleton of an object, not the object itself, should be transmitted. It can be used with the `send` and `recv` operations of communicators or the `broadcast` collective. When a `skeleton_proxy` is sent, Boost.MPI generates a description containing the structure of the stored object. When that skeleton is received, the receiving object is reshaped to match the structure. Once the skeleton of an object as been transmitted, its `content` can be transmitted separately (often several times) without changing the structure of the object.

### `skeleton_proxy` public construct/copy/destruct

1.     skeleton_proxy(T & x);

   Constructs a ``skeleton_proxy`` that references object `x`.

   Parameters:

   `x` | the object whose structure will be transmitted or altered.